Bulk Update Organizations
curl --request PATCH \
--url https://api.us.lexful.app/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
'import requests
url = "https://api.us.lexful.app/v1/organizations"
payload = [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
slug: '<string>',
type: '<string>',
status: '<string>',
description: '<string>',
logo_url: '<string>',
website_url: '<string>',
notes: '<string>',
alert: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
])
};
fetch('https://api.us.lexful.app/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_primary": true,
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Organizations
Bulk Update Organizations
Bulk update organizations (max 100)
PATCH
/
v1
/
organizations
Bulk Update Organizations
Authorizations
Bearer token
Account ID
Body
application/json
Required array length:
1 - 100 elementsOrganization ID to update
Organization name
Required string length:
1 - 255Organization slug
Pattern:
^[a-z0-9_-]+$Organization type
Organization status
Organization description
Organization logo URL
Organization website URL
Internal notes
Alert message
Parent organization ID
Asset management status - controls entity CRUD operations
Available options:
disabled, enabled, read_only Was this page helpful?
⌘I